Subject: Re: bug#24477: 25.1; make-mode: should '$' have punctuation syntax?

From: Eli Zaretskii <[email-masked]>
Date: Tue, 20 Sep 2016 17:30:57 +0300

> From: Dima Kogan <[email-masked]>
> Date: Mon, 19 Sep 2016 22:55:34 -0700
> 
> I've been working with Makefiles recently, and discovered that $ has
> word syntax. This results in odd behaviors. For instance, if you have
> 
>     asdf-$(xyz)
> 
> in your buffer with the point on 'a', then commands like M-s . or
> C-M-SPC select "asdf-$", which makes no sense. Shouldn't $ have
> punctuation syntax (attached patch)? Am I missing something obvious
> here?

Does your change still allow to type "C-x 4 a" in a line like this:

asdf-$(xyz) = FOO

and get a ChangeLog entry that references "asdf-$(xyz)"?